package com.persagy.apm.dmpalarm.controller;

import com.persagy.apm.dmpalarm.criteria.JsonCriteria;
import com.persagy.apm.dmpalarm.model.AlarmItem;
import com.persagy.apm.dmpalarm.web.MapResponse;
import com.persagy.apm.dmpalarm.web.PagedResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.persagy.apm.dmpalarm.service.IAlarmItemService;

import io.swagger.annotations.Api;

import javax.annotation.Resource;

/**
 * 报警条目控制层
 * @author lixing
 * @version V1.0 2021-12-09 10:43:56
 */
@Api(tags = "报警条目") 
@Validated
@RestController
@RequestMapping("/alarm/item")
public class AlarmItemController {
    @Resource
    private IAlarmItemService alarmItemService;


    @PostMapping("/query")
    public PagedResponse<AlarmItem> query(@RequestBody JsonCriteria criteria) {
        return alarmItemService.query(criteria);
    }

    @PostMapping("/create")
    public MapResponse create(@RequestBody AlarmItem param){
        return alarmItemService.create(param);
    }

    @PostMapping("/update")
    public MapResponse update(@RequestBody AlarmItem param){
        return alarmItemService.update(param);
    }
}

