package com.persagy.apm.dmpalarm.controller;

import com.persagy.apm.dmpalarm.criteria.JsonCriteria;
import com.persagy.apm.dmpalarm.web.PagedResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.persagy.apm.dmpalarm.model.AlarmLog;
import com.persagy.apm.dmpalarm.service.IAlarmLogService;
import com.persagy.apm.dmpalarm.web.MapResponse;

import io.swagger.annotations.Api;

import javax.annotation.Resource;

/**
 * 报警日志控制层
 *
 * @author lixing
 * @version V1.0 2021-12-09 10:43:56
 */
@Api(tags = "报警日志")
@Validated
@RestController
@RequestMapping("/alarm/log")
public class AlarmLogController {
    @Resource
    private IAlarmLogService alarmLogService;

    @PostMapping("/query")
    public PagedResponse<AlarmLog> query(@RequestBody JsonCriteria criteria) {
        return alarmLogService.query(criteria);
    }

    @PostMapping("/create")
    public MapResponse create(@RequestBody AlarmLog param) {
        return alarmLogService.create(param);
    }
}

